/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base;


import com.tabajara.base.tables.Arduino;
import com.tabajara.base.tables.Arduinoatuador;
import com.tabajara.base.tables.Arduinocontrole;
import com.tabajara.base.tables.Arduinosensor;
import com.tabajara.base.tables.Atuador;
import com.tabajara.base.tables.Controle;
import com.tabajara.base.tables.Controlegrpacesso;
import com.tabajara.base.tables.Criacao;
import com.tabajara.base.tables.Empresa;
import com.tabajara.base.tables.Funcionario;
import com.tabajara.base.tables.Grpacesso;
import com.tabajara.base.tables.Hisatuacao;
import com.tabajara.base.tables.Hispropriedades;
import com.tabajara.base.tables.Horarepeticao;
import com.tabajara.base.tables.Sensor;
import com.tabajara.base.tables.Sensorhorarepeticao;
import com.tabajara.base.tables.Sensorrepeticao;
import com.tabajara.base.tables.Tanque;
import com.tabajara.base.tables.Telefones;
import com.tabajara.base.tables.Tipoatuador;
import com.tabajara.base.tables.Tiporepeticao;
import com.tabajara.base.tables.Tiposensor;
import com.tabajara.base.tables.Usuarios;

import javax.annotation.Generated;

import org.jooq.Index;
import org.jooq.OrderField;
import org.jooq.impl.Internal;


/**
 * A class modelling indexes of tables of the <code>public</code> schema.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Indexes {

    // -------------------------------------------------------------------------
    // INDEX definitions
    // -------------------------------------------------------------------------

    public static final Index ARDUINO_PKEY = Indexes0.ARDUINO_PKEY;
    public static final Index ARDUINOATUADOR_PKEY = Indexes0.ARDUINOATUADOR_PKEY;
    public static final Index ARDUINOCONTROLE_PKEY = Indexes0.ARDUINOCONTROLE_PKEY;
    public static final Index ARDUINOSENSOR_PKEY = Indexes0.ARDUINOSENSOR_PKEY;
    public static final Index ATUADOR_PKEY = Indexes0.ATUADOR_PKEY;
    public static final Index CONTROLE_PKEY = Indexes0.CONTROLE_PKEY;
    public static final Index CONTROLEGRPACESSO_PKEY = Indexes0.CONTROLEGRPACESSO_PKEY;
    public static final Index CRIACAO_PKEY = Indexes0.CRIACAO_PKEY;
    public static final Index EMPRESA_PKEY = Indexes0.EMPRESA_PKEY;
    public static final Index FUNCIONARIO_PKEY = Indexes0.FUNCIONARIO_PKEY;
    public static final Index GRPACESSO_PKEY = Indexes0.GRPACESSO_PKEY;
    public static final Index HISATUACAO_PKEY = Indexes0.HISATUACAO_PKEY;
    public static final Index HISPROPRIEDADES_PKEY = Indexes0.HISPROPRIEDADES_PKEY;
    public static final Index HORAREPETICAO_PKEY = Indexes0.HORAREPETICAO_PKEY;
    public static final Index SENSOR_PKEY = Indexes0.SENSOR_PKEY;
    public static final Index SENSORHORAREPETICAO_PKEY = Indexes0.SENSORHORAREPETICAO_PKEY;
    public static final Index SENSORREPETICAO_PKEY = Indexes0.SENSORREPETICAO_PKEY;
    public static final Index TANQUE_PKEY = Indexes0.TANQUE_PKEY;
    public static final Index TELEFONES_PKEY = Indexes0.TELEFONES_PKEY;
    public static final Index TIPOATUADOR_PKEY = Indexes0.TIPOATUADOR_PKEY;
    public static final Index TIPOREPETICAO_PKEY = Indexes0.TIPOREPETICAO_PKEY;
    public static final Index TIPOSENSOR_PKEY = Indexes0.TIPOSENSOR_PKEY;
    public static final Index USUARIOS_PKEY = Indexes0.USUARIOS_PKEY;

    // -------------------------------------------------------------------------
    // [#1459] distribute members to avoid static initialisers > 64kb
    // -------------------------------------------------------------------------

    private static class Indexes0 {
        public static Index ARDUINO_PKEY = Internal.createIndex("arduino_pkey", Arduino.ARDUINO, new OrderField[] { Arduino.ARDUINO.ARDID }, true);
        public static Index ARDUINOATUADOR_PKEY = Internal.createIndex("arduinoatuador_pkey", Arduinoatuador.ARDUINOATUADOR, new OrderField[] { Arduinoatuador.ARDUINOATUADOR.ARDSENID }, true);
        public static Index ARDUINOCONTROLE_PKEY = Internal.createIndex("arduinocontrole_pkey", Arduinocontrole.ARDUINOCONTROLE, new OrderField[] { Arduinocontrole.ARDUINOCONTROLE.ARDCONTID }, true);
        public static Index ARDUINOSENSOR_PKEY = Internal.createIndex("arduinosensor_pkey", Arduinosensor.ARDUINOSENSOR, new OrderField[] { Arduinosensor.ARDUINOSENSOR.ARDSENID }, true);
        public static Index ATUADOR_PKEY = Internal.createIndex("atuador_pkey", Atuador.ATUADOR, new OrderField[] { Atuador.ATUADOR.ATUID }, true);
        public static Index CONTROLE_PKEY = Internal.createIndex("controle_pkey", Controle.CONTROLE, new OrderField[] { Controle.CONTROLE.CONID }, true);
        public static Index CONTROLEGRPACESSO_PKEY = Internal.createIndex("controlegrpacesso_pkey", Controlegrpacesso.CONTROLEGRPACESSO, new OrderField[] { Controlegrpacesso.CONTROLEGRPACESSO.CONGRPID }, true);
        public static Index CRIACAO_PKEY = Internal.createIndex("criacao_pkey", Criacao.CRIACAO, new OrderField[] { Criacao.CRIACAO.CRIAID }, true);
        public static Index EMPRESA_PKEY = Internal.createIndex("empresa_pkey", Empresa.EMPRESA, new OrderField[] { Empresa.EMPRESA.EMPID }, true);
        public static Index FUNCIONARIO_PKEY = Internal.createIndex("funcionario_pkey", Funcionario.FUNCIONARIO, new OrderField[] { Funcionario.FUNCIONARIO.FUNMATRICULA }, true);
        public static Index GRPACESSO_PKEY = Internal.createIndex("grpacesso_pkey", Grpacesso.GRPACESSO, new OrderField[] { Grpacesso.GRPACESSO.GRPID }, true);
        public static Index HISATUACAO_PKEY = Internal.createIndex("hisatuacao_pkey", Hisatuacao.HISATUACAO, new OrderField[] { Hisatuacao.HISATUACAO.HISTATUAID }, true);
        public static Index HISPROPRIEDADES_PKEY = Internal.createIndex("hispropriedades_pkey", Hispropriedades.HISPROPRIEDADES, new OrderField[] { Hispropriedades.HISPROPRIEDADES.HISPOPTID }, true);
        public static Index HORAREPETICAO_PKEY = Internal.createIndex("horarepeticao_pkey", Horarepeticao.HORAREPETICAO, new OrderField[] { Horarepeticao.HORAREPETICAO.HORID }, true);
        public static Index SENSOR_PKEY = Internal.createIndex("sensor_pkey", Sensor.SENSOR, new OrderField[] { Sensor.SENSOR.SENID }, true);
        public static Index SENSORHORAREPETICAO_PKEY = Internal.createIndex("sensorhorarepeticao_pkey", Sensorhorarepeticao.SENSORHORAREPETICAO, new OrderField[] { Sensorhorarepeticao.SENSORHORAREPETICAO.SENHORID }, true);
        public static Index SENSORREPETICAO_PKEY = Internal.createIndex("sensorrepeticao_pkey", Sensorrepeticao.SENSORREPETICAO, new OrderField[] { Sensorrepeticao.SENSORREPETICAO.SENREPID }, true);
        public static Index TANQUE_PKEY = Internal.createIndex("tanque_pkey", Tanque.TANQUE, new OrderField[] { Tanque.TANQUE.TANID }, true);
        public static Index TELEFONES_PKEY = Internal.createIndex("telefones_pkey", Telefones.TELEFONES, new OrderField[] { Telefones.TELEFONES.TELID }, true);
        public static Index TIPOATUADOR_PKEY = Internal.createIndex("tipoatuador_pkey", Tipoatuador.TIPOATUADOR, new OrderField[] { Tipoatuador.TIPOATUADOR.TIPATUID }, true);
        public static Index TIPOREPETICAO_PKEY = Internal.createIndex("tiporepeticao_pkey", Tiporepeticao.TIPOREPETICAO, new OrderField[] { Tiporepeticao.TIPOREPETICAO.TIPREPID }, true);
        public static Index TIPOSENSOR_PKEY = Internal.createIndex("tiposensor_pkey", Tiposensor.TIPOSENSOR, new OrderField[] { Tiposensor.TIPOSENSOR.TIPSENID }, true);
        public static Index USUARIOS_PKEY = Internal.createIndex("usuarios_pkey", Usuarios.USUARIOS, new OrderField[] { Usuarios.USUARIOS.USUID }, true);
    }
}
